Package fr.gouv.vitam.storage.offers.tape.impl.robot

# Class MtxTapeLibraryService

java.lang.Object
fr.gouv.vitam.storage.offers.tape.impl.robot.MtxTapeLibraryService

All Implemented Interfaces:
  `TapeLoadUnloadService`

public class MtxTapeLibraryService extends Object implements TapeLoadUnloadService

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `F`
  `static final String`
  `LOAD`
  `static final String`
  `STATUS`
  `static final String`
  `UNLOAD`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MtxTapeLibraryService(TapeRobotConf tapeRobotConf, ProcessExecutor processExecutor)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `loadTape(int slotNumber, int driveIndex)`
  `TapeLibrarySpec`
  `status()`
  `void`
  `unloadTape(int slotNumber, int driveIndex)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### F

    public static final String F
    See Also:
      - Constant Field Values

  - ### UNLOAD

    public static final String UNLOAD
    See Also:
      - Constant Field Values

  - ### LOAD

    public static final String LOAD
    See Also:
      - Constant Field Values

  - ### STATUS

    public static final String STATUS
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### MtxTapeLibraryService

    public MtxTapeLibraryService(TapeRobotConf tapeRobotConf, ProcessExecutor processExecutor)

- ## Method Details

  - ### status

    public TapeLibrarySpec status() throws TapeCommandException
    Specified by:
      `status` in interface `TapeLoadUnloadService`
    Throws:
      `TapeCommandException`

  - ### loadTape

    public void loadTape(int slotNumber, int driveIndex) throws TapeCommandException
    Specified by:
      `loadTape` in interface `TapeLoadUnloadService`
    Throws:
      `TapeCommandException`

  - ### unloadTape

    public void unloadTape(int slotNumber, int driveIndex) throws TapeCommandException
    Specified by:
      `unloadTape` in interface `TapeLoadUnloadService`
    Throws:
      `TapeCommandException`